FreeMat

- Main Page
- Related Pages

vtkSplineWidget2

Section: Visualization Toolkit Widget Classes

# Usage

vtkSplineWidget2 is the vtkAbstractWidget subclass for vtkSplineRepresentation which manages the interactions with vtkSplineRepresentation. This is based on vtkSplineWidget.

To create an instance of class vtkSplineWidget2, simply invoke its constructor as follows

      obj = vtkSplineWidget2

# Methods

The class vtkSplineWidget2 has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkSplineWidget2 class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkSplineWidget2 = obj.NewInstance ()`
- `vtkSplineWidget2 = obj.SafeDownCast (vtkObject o)`
- `obj.SetRepresentation (vtkSplineRepresentation r)` - Create the default widget representation if one is not set. By default, this is an instance of the vtkSplineRepresentation class.
- `obj.CreateDefaultRepresentation ()` - Create the default widget representation if one is not set. By default, this is an instance of the vtkSplineRepresentation class.